SRD Standelone programmation box: t16SegDisplay Struct Reference

| SRD Standelone programmation box 2.0 (16/11/15 10:00:00) Documentation of the SRD standelone programmation box

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Macros Pages
Data Fields
t16SegDisplay Struct Reference

Structure used to control all segments in a 16 segments display. More...

`#include "decoder16Seg.h"`

## Data Fields

union {
struct {
unsigned short A: 1
unsigned short B: 1
unsigned short C: 1
unsigned short D: 1
unsigned short E: 1
unsigned short F: 1
unsigned short G: 1
unsigned short H: 1
unsigned short K: 1
unsigned short M: 1
unsigned short N: 1
unsigned short P: 1
unsigned short U: 1
unsigned short T: 1
unsigned short S: 1
unsigned short R: 1
} seg
unsigned short allSeg
}; |

## Detailed Description

Structure used to control all segments in a 16 segments display.

Definition at line 112 of file decoder16Seg.h.

## Field Documentation

union { ... }

unsigned short t16SegDisplay::A

Definition at line 115 of file decoder16Seg.h.

unsigned short t16SegDisplay::allSeg

Definition at line 132 of file decoder16Seg.h.

Referenced by Decode16segDigitASCII().

unsigned short t16SegDisplay::B

Definition at line 116 of file decoder16Seg.h.

unsigned short t16SegDisplay::C

Definition at line 117 of file decoder16Seg.h.

unsigned short t16SegDisplay::D

Definition at line 118 of file decoder16Seg.h.

unsigned short t16SegDisplay::E

Definition at line 119 of file decoder16Seg.h.

unsigned short t16SegDisplay::F

Definition at line 120 of file decoder16Seg.h.

unsigned short t16SegDisplay::G

Definition at line 121 of file decoder16Seg.h.

unsigned short t16SegDisplay::H

Definition at line 122 of file decoder16Seg.h.

unsigned short t16SegDisplay::K

Definition at line 123 of file decoder16Seg.h.

unsigned short t16SegDisplay::M

Definition at line 124 of file decoder16Seg.h.

unsigned short t16SegDisplay::N

Definition at line 125 of file decoder16Seg.h.

unsigned short t16SegDisplay::P

Definition at line 126 of file decoder16Seg.h.

unsigned short t16SegDisplay::R

Definition at line 130 of file decoder16Seg.h.

unsigned short t16SegDisplay::S

Definition at line 129 of file decoder16Seg.h.

struct { ... } t16SegDisplay::seg

Referenced by DisplayDigitTo16Seg().

unsigned short t16SegDisplay::T

Definition at line 128 of file decoder16Seg.h.

unsigned short t16SegDisplay::U

Definition at line 127 of file decoder16Seg.h.

The documentation for this struct was generated from the following file:

- decoder16Seg.h